<!-- <script type='text/javascript' src='/jquery-2.2.3.min.js'></script> -->
<script type='text/javascript' src="/jquery-3.2.1.min.js"></script>
<script src="/jquery.form.min.js"></script>
<!-- stats -->
<script src="/jquery.waypoints.min.js"></script>
<!--js for bootstrap working-->
<script src="/bootstrap.js"></script>
<!-- //for bootstrap working -->
<!-- // Scripts -->

<script>
	$(document).ready(() => {
		$.ajax({
			url: 'https://app1.square-global.com:8443/web-b2c/open/solr-search/autocomplete_filters',
			method: 'get',
			dataType: 'json',
			headers: {
				Authorization: `Bearer`,
				Accept: 'application/json',
				'Content-Type': 'application/json',
				id: 'squareyards',
			},
			success: (response) => {
				const cities = response.object['CITY'].map((item, id) => {
					return `<option value=${item.filterId}>${item.filterName}</option>`
				});
				for (let i = 0; i < cities.length; i += 1) {
					$('.select-city').append($.parseHTML(cities[i])[0]);
				}
				const propertyTypes = response.object['PROPERTY TYPE'].map((item, id) => {
					return `<option value=${item.filterId}>${item.filterName}</option>`
				});
				for (let i = 0; i < propertyTypes.length; i += 1) {
					$('.select-property').append($.parseHTML(propertyTypes[i])[0]);
				}
			},
			error: (error) => {
				console.log(error);
			}
		});

		const fetchSuggestions = () => {
			const payload = {
				'search_query': $('#search').val(),
				'property_type_id': $('.select-property').val(),
				'city_id': $('.select-city').val(),
			};
			$.ajax({
				url: 'https://app1.square-global.com:8443/web-b2c/open/search/v1.0/auto-suggestion',
				method: 'post',
				dataType: 'json',
				data: JSON.stringify(payload),
				headers: {
					Authorization: `Bearer`,
					Accept: 'application/json',
					'Content-Type': 'application/json',
					id: 'squareyards',
				},
				success: (response) => {
					$('.search-suggestions-container').empty();
					const suggestions = response.object.map((item, id) => {
						return `<div class="search-suggestions"><a href=${item.redirect_url}>${item.suggestion}</a></div>`
					});
					for (let i = 0; i < suggestions.length; i += 1) {
						$('.search-suggestions-container').append($.parseHTML(suggestions[i])[0]);
					}
				},
				error: (error) => {
					console.log(error);
				}
			});
		}

		$('#search').keyup((e) => {
			$('.search-suggestions-container').empty();
			if (e.target.value.length >= 3) {
				fetchSuggestions();
			}
		});
		$('.select-city').change(() => {
			$('.search-suggestions-container').empty();
			fetchSuggestions();
		});
		$('.select-property').change(() => {
			$('.search-suggestions-container').empty();
			fetchSuggestions();
		});
	})
</script>
</body>

</html>